ALTER TABLE developments
    add COLUMN if not exists development_name VARCHAR(255);
comment on column developments.development_name is '名称';

ALTER TABLE developments
    add COLUMN if not exists url VARCHAR(255);
comment on column developments.url is '文件路径';

ALTER TABLE developments
    add COLUMN if not exists file_name VARCHAR(255);
comment on column developments.file_name is '文件名称';

ALTER TABLE developments
    add COLUMN if not exists create_time TIMESTAMP;
comment on column developments.create_time is '创建时间';

INSERT INTO "public"."sys_menu" ("menu_id", "menu_name", "parent_id", "order_num", "path", "component", "query", "is_frame", "is_cache", "menu_type", "visible", "status", "perms", "icon", "create_by", "create_time", "update_by", "update_time", "remark") VALUES (2286, '发展定位', 2200, 1, 'development', 'info/development/index', NULL, 'f', 't', 'C', 't', 't', 'info:development:list', 'operation', 'admin', '2024-12-13 08:08:34.901945', '', NULL, '发展定位菜单');
INSERT INTO "public"."sys_menu" ("menu_id", "menu_name", "parent_id", "order_num", "path", "component", "query", "is_frame", "is_cache", "menu_type", "visible", "status", "perms", "icon", "create_by", "create_time", "update_by", "update_time", "remark") VALUES (2287, '发展定位查询', 2286, 1, '#', '', NULL, 'f', 't', 'F', 't', 't', 'info:development:query', '#', 'admin', '2024-12-13 08:08:34.901945', '', NULL, '');
INSERT INTO "public"."sys_menu" ("menu_id", "menu_name", "parent_id", "order_num", "path", "component", "query", "is_frame", "is_cache", "menu_type", "visible", "status", "perms", "icon", "create_by", "create_time", "update_by", "update_time", "remark") VALUES (2288, '发展定位新增', 2286, 2, '#', '', NULL, 'f', 't', 'F', 't', 't', 'info:development:add', '#', 'admin', '2024-12-13 08:08:34.901945', '', NULL, '');
INSERT INTO "public"."sys_menu" ("menu_id", "menu_name", "parent_id", "order_num", "path", "component", "query", "is_frame", "is_cache", "menu_type", "visible", "status", "perms", "icon", "create_by", "create_time", "update_by", "update_time", "remark") VALUES (2289, '发展定位修改', 2286, 3, '#', '', NULL, 'f', 't', 'F', 't', 't', 'info:development:edit', '#', 'admin', '2024-12-13 08:08:34.901945', '', NULL, '');
INSERT INTO "public"."sys_menu" ("menu_id", "menu_name", "parent_id", "order_num", "path", "component", "query", "is_frame", "is_cache", "menu_type", "visible", "status", "perms", "icon", "create_by", "create_time", "update_by", "update_time", "remark") VALUES (2290, '发展定位删除', 2286, 4, '#', '', NULL, 'f', 't', 'F', 't', 't', 'info:development:remove', '#', 'admin', '2024-12-13 08:08:34.901945', '', NULL, '');
INSERT INTO "public"."sys_menu" ("menu_id", "menu_name", "parent_id", "order_num", "path", "component", "query", "is_frame", "is_cache", "menu_type", "visible", "status", "perms", "icon", "create_by", "create_time", "update_by", "update_time", "remark") VALUES (2291, '发展定位导出', 2286, 5, '#', '', NULL, 'f', 't', 'F', 't', 't', 'info:development:export', '#', 'admin', '2024-12-13 08:08:34.901945', '', NULL, '');


-- 菜单 SQL
with temp_menu as (
insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('园区对象', '2200', '1', 'parkInfo', 'info/parkInfo/index', false, true, 'C', true, true, 'info:parkInfo:list', 'operation', 'admin', now(), '', null, '园区对象菜单') returning menu_id
    )
-- 按钮 SQL
insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('园区对象查询', (select * from temp_menu), '1',  '#', '', false, true, 'F', true, true, 'info:parkInfo:query',        '#', 'admin', now(), '', null, ''),
    ('园区对象新增', (select * from temp_menu), '2',  '#', '', false, true, 'F', true, true, 'info:parkInfo:add',          '#', 'admin', now(), '', null, ''),
    ('园区对象修改', (select * from temp_menu), '3',  '#', '', false, true, 'F', true, true, 'info:parkInfo:edit',         '#', 'admin', now(), '', null, ''),
    ('园区对象删除', (select * from temp_menu), '4',  '#', '', false, true, 'F', true, true, 'info:parkInfo:remove',       '#', 'admin', now(), '', null, ''),
    ('园区对象导出', (select * from temp_menu), '5',  '#', '', false, true, 'F', true, true, 'info:parkInfo:export',       '#', 'admin', now(), '', null, '');

SELECT setval('sys_menu_menu_id_seq', (SELECT MAX(menu_id) FROM sys_menu));

CREATE TABLE IF not EXISTS "public"."park_info" (
                                                    "park_id" SERIAL NOT NULL,
                                                    "park_name" varchar(255) COLLATE "pg_catalog"."default",
    "location" json,
    "memo" varchar(255) COLLATE "pg_catalog"."default",
    CONSTRAINT "park_info_pkey" PRIMARY KEY ("park_id")
    )
;

COMMENT ON COLUMN "public"."park_info"."park_id" IS '园区id';

COMMENT ON COLUMN "public"."park_info"."park_name" IS '园区名称';

COMMENT ON COLUMN "public"."park_info"."location" IS '坐标';

COMMENT ON COLUMN "public"."park_info"."memo" IS '备注';

ALTER TABLE organization_info
    add COLUMN if not exists park_id int;
comment on column organization_info.park_id is '园区id';


ALTER TABLE forewarning_info
    add COLUMN if not exists park_id int;
comment on column forewarning_info.park_id is '园区id';

ALTER TABLE equipment_info
    add COLUMN if not exists park_id int;
comment on column equipment_info.park_id is '园区id';

ALTER TABLE sys_dict_data
    add COLUMN if not exists park_id int;
comment on column sys_dict_data.park_id is '园区id';
